
namespace ChillConnect
{
    public class MenuModel : BaseModel
    {
        public bool IsOpenMusic
        {
            get { return AudioManager.Instance.IsOpenBGM; }
            set { AudioManager.Instance.IsOpenBGM = value; }
        }

        public bool IsOpenEffect
        {
            get { return AudioManager.Instance.IsOpenEffect; }
            set { AudioManager.Instance.IsOpenEffect = value; }
        }

        #region 生命周期

        public string LangIdKey = "LangIdKey";
        protected override void OnInit()
        {
        }

        protected override void OnDispose()
        {
        }

        // protected override void OnReset()
        // {
        // }

        // #endregion

        // #region 读取数据

        // protected override void OnReadData()
        // {
        // }

        // #endregion

        // #region 本地存储



        // protected override void WriteLocalStorage()
        // {

        // }

        #endregion

        #region 消息

        protected override void AddListener()
        {

        }

        protected override void RemoveListener()
        {

        }

        #endregion
    }
}